%SCRIPT TO READ AND PLOT OSCILLOSCOPE DATA

%A = tdfread('RC100.txt');          %100A RC test data
%A = tdfread('RC180.txt');          %180A RC test data
%A = tdfread('NT100.txt');          %100A LineTroll test data
%A = tdfread('NT180filtered.txt');  %180A LineTroll test data

k1 = 1*10^3;                    %milli constant
k2 = 1*10^6;                    %micro constant
smoothingMethod = 'moving';     %moving, lowess, loess, sgolay, rlowess, rloess
t = [0:0.1*10^-3:60*10^-3];     %0->60 ms
w = 2*pi*50;

for i = 1:((125000/200)*60)     %first 60 ms
voltage(i,1) = A.voltage(i,1);
current(i,1) = A.current(i,1);
time(i,1) = k1*A.time(i,1);
end

svoltage = smooth(voltage, smoothingMethod);

figure(3)
plot(time,(svoltage), 'b',[0 time(i,1)],[0 0], 'k')
axis([0 60 -1.5 1.5])
xlabel('Time [ms]')
ylabel('Induced voltage [V]')


figure(4)
plot(time,k1*voltage,'b')
legend('Induced voltage [mV]')
axis([0 60 -1 1])


figure(5)
plot(time,current,'k')      %Amplitude = RMS*sqrt(2)
legend('Current', 'Location', 'NorthOutside')
axis([0 60 -260 260])

