%CALCULATION OF WIRE LENGTH AND RESISTANCE

k1 = 1*10^-3;
k = [1,2,4,6];                      %layers
rho = 1.68*10^-8;                   %resistivity of copper
mu_0 = 4*pi*10^-7;                  %permittivity of free space
d_wire = 0.8*k1;                    %wire diameter
r_core = 30*k1;                     %core radius
r_core_w = r_core + d_wire*k(4);    %effective core radius
ra = 50*k1;                         %inner radius
A_cond = pi* ((d_wire/2)^2);        %wire area
N = 355;                            %turns
N_tot = N*k(4);                     %total turns
A = pi*(r_core_w^2);                %coil area
r_center = ra + r_core;             %distance to center

for i = 1:4
    O(i) = 2*pi*(r_core+(d_wire*k(i)));
    L(i) = N*O(i);
end

str = ['Thickness = ', num2str(d_wire/k1), ', Layer = ', num2str(k(4)), ', Turns = '...
    , num2str(N), ', r_core = ', num2str(r_core/k1)];
disp(str)
Lengde = sum(L)
A_cond/(k1^2)                                   %mm^2
A/(k1^2)                                        %mm^2
R = rho*Lengde/(A_cond)                         %Ohm
L = (mu_0*((N_tot)^2)*A) / (k1*2*pi*r_center)   %mH

