%LABVIEWREAD

% Converting coma to dot:
% Data = fileread('Ole2.txt');
% Data = strrep(Data, ',', '.');
% FID = fopen('Ole2_dot.txt', 'w');
% fwrite(FID, Data, 'char');
% fclose(FID);
% clear all

%Read dot-seperated file:
A = tdfread('Ole2_dot.txt');
I_1 = A.I1;
I_2 = A.I2;
tid = A.time1;

%Extract the information of interest:
for i = 1:1400
I1(i,1) = A.I1(i,1);
I2(i,1) = A.I2(i,1);
I3(i,1) = A.I3(i,1);
time(i,1) = A.time1(i,1);
end

%Smoothing:
smoothI2 = smooth(I_2, 'moving');

%Error calculation:
for j = 520:1100
    feil(j-519,1) = (abs((-53.37*smoothI2(j,1))-(I_1(j,1))))./(I_1(j,1));
    tid2(j-519,1) = tid(j,1);
end

%Plots & output:
figure(31)
plot(tid*1000, I_1, tid*1000, -I_2)
refline(0,0)
box on
xlabel('Time [ms] ')
ylabel('Current [kA] ')
legend('Applied current', 'Location', 'NorthEast', 'PCB RC response', 'Location',...
    'NorthEast')

%Difference:
figure(32)
plot(tid*1000, I_1+(smoothI2*53.37))
refline(0,0)
box on

figure(33)
plot(tid*1000, -53.37*smoothI2, tid*1000, I_1)
refline(0,0)
box on
xlabel('Time [ms]')
ylabel('Current [kA]')
axis([50 112 -30 40])

figure(34)
plot(tid*1000, I_1, 'k')
refline(0,0)
box on
xlabel('Time [ms]')
ylabel('Current [kA]')
axis([0 200 -30 40])

figure(35)
plot(tid2*1000, feil*100)
refline(0,0)
xlabel('Time [ms]')
ylabel('Error [%]')
axis([50 100 -100 100])