%Plot of p_max vs r_core
%Data from dimensional analysis, tables 5.8 - 5.10

radius = [10:5:35];
P_max_3 = [0.3, 0.7, 1.3, 2.1, 3.1, 4.2];
P_max_4 = [0.5, 1.04, 1.9, 2.9, 4.3, 5.8];
P_max_8 = [1.55, 3.03, 5.1, 7.6, 10.4, 13.7];

figure(18)
plot(radius, P_max_3, 'b', radius, P_max_4, 'g', radius, P_max_8, 'r')
legend('0.3 mm', '0.4 mm', '0.8 mm', 'Location', 'NorthWest')
axis([10 35 0 14])
grid on
xlabel('Core radius [mm]')
ylabel('Max power transfer [mW]')

