%PSIMREAD

%A = tdfread('OC-response.txt');    %Open circuit response
%A = tdfread('R_lav.txt');          %High load current
%A = tdfread('R_hoy.txt');          %Low load current
%A = tdfread('P_max.txt');          %Load = P_max
%A = tdfread('P_4max.txt');         %Load = 4*P_max

%NO LOAD
    time = A.Time;
    source_current = A.I1;
    v_bott = A.Vbott;
    v_mid = A.Vmid;
    v_out = A.Vout;
    v_source = A.Vsource;
    v_top = A.Vtop;

%ADDITION WHEN LOAD IS CONNECTED
    v_Rbatt = A.V_Rbatt;
    batt_current = A.Ibatt;
    load_current = A.Iload;
    out_current = A.Iout;

figure(1)
plot(time, source_current)
legend('Source current [A]', 'Location', 'NorthOutside')
refline(0,0)

figure(2)
plot(time,v_source)
legend('Source voltage [V]', 'Location', 'NorthOutside')
axis([0 0.4 -0.5 2.6])
refline(0,0)

figure(3)
plot(time, v_bott, time, v_mid, time, v_top)
legend('Vbott [V]','Vmid [V]', 'Vtop [V]', 'Location', 'NorthOutside')
refline(0,0)

figure(4)
plot(time, v_out)
legend('Output voltage [V]', 'Location', 'NorthOutside')
axis([0 0.4 -0.5 3.1])
refline(0,0)

figure(5)
plot(time,load_current*1000)
legend('Load current [mA]', 'Location', 'NorthOutside')
refline(0,0)
axis([0 0.4 -0.1 3])

figure(6)
plot(time, batt_current)
legend('Battery current [A]', 'Location', 'NorthOutside')
axis([0 0.4 -25 5])
refline(0,0)